[gentoo-commits] proj/kde:master commit in: media-libs/phonon/

2024-03-03 Thread Andreas Sturmlechner
commit: 38dfeae0ee38f55f0bc1d98f8372a5d4f80ba8d6
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Sun Mar  3 16:04:05 2024 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Sun Mar  3 16:15:33 2024 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=38dfeae0

media-libs/phonon: Use cmake.eclass and multibuild instead of ecm.eclass

Simultanous build of Qt5 and Qt6 is broken, installing Qt6 plugins
in Qt5 paths and vice versa.

ebuild was barely using ecm facilities anyway, this makes sure only those
deps that are needed are also used.

Bug: https://bugs.gentoo.org/923502
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon/phonon-.ebuild | 71 
 1 file changed, 56 insertions(+), 15 deletions(-)

diff --git a/media-libs/phonon/phonon-.ebuild 
b/media-libs/phonon/phonon-.ebuild
index 8c92513a04..8f8d0cf724 100644
--- a/media-libs/phonon/phonon-.ebuild
+++ b/media-libs/phonon/phonon-.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit desktop ecm kde.org
+inherit cmake desktop flag-o-matic kde.org multibuild
 
 DESCRIPTION="KDE multimedia abstraction library"
 HOMEPAGE="https://community.kde.org/Phonon;
@@ -15,7 +15,7 @@ fi
 
 LICENSE="|| ( LGPL-2.1 LGPL-3 ) !pulseaudio? ( || ( GPL-2 GPL-3 ) )"
 SLOT="0"
-IUSE="designer pulseaudio +qt5 qt6 +vlc"
+IUSE="debug designer pulseaudio +qt5 qt6 +vlc"
 REQUIRED_USE="|| ( qt5 qt6 )"
 
 DEPEND="
@@ -24,6 +24,7 @@ DEPEND="
media-libs/libpulse[glib]
)
qt5? (
+   dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
designer? ( dev-qt/designer:5 )
@@ -34,30 +35,70 @@ DEPEND="
designer? ( dev-qt/qttools:6[designer] )
)
 "
-RDEPEND="${DEPEND}"
+RDEPEND="${DEPEND}
+   || (
+   kde-frameworks/breeze-icons:*
+   kde-frameworks/oxygen-icons:*
+   )
+"
 BDEPEND="
-   qt5? ( dev-qt/linguist-tools:5 )
-   qt6? ( dev-qt/qttools:6[linguist] )
+   dev-libs/libpcre2:*
virtual/pkgconfig
+   qt5? (
+   dev-qt/linguist-tools:5
+   >=kde-frameworks/extra-cmake-modules-5.115.0:*
+   )
+   qt6? (
+   dev-qt/qttools:6[linguist]
+   >=kde-frameworks/extra-cmake-modules-6.0.0:*
+   )
 "
 PDEPEND="
vlc? ( >=media-libs/phonon-vlc-0.12.0[qt5?,qt6?] )
 "
 
+pkg_setup() {
+   MULTIBUILD_VARIANTS=( $(usev qt5) $(usev qt6) )
+}
+
 src_configure() {
-   local mycmakeargs=(
-   -DPHONON_BUILD_DESIGNER_PLUGIN=$(usex designer)
-   -DCMAKE_DISABLE_FIND_PACKAGE_GLIB2=$(usex !pulseaudio)
-   -DCMAKE_DISABLE_FIND_PACKAGE_PulseAudio=$(usex !pulseaudio)
-   -DPHONON_BUILD_QT5=$(usex qt5)
-   -DPHONON_BUILD_QT6=$(usex qt6)
-   -DPHONON_BUILD_SETTINGS=ON
-   )
-   ecm_src_configure
+   use debug || append-cppflags -DQT_NO_DEBUG
+
+   myconfigure() {
+   local mycmakeargs=(
+   -DQT_MAJOR_VERSION=${MULTIBUILD_VARIANT/qt/}
+   -DPHONON_BUILD_${MULTIBUILD_VARIANT^^}=ON
+   -DKDE_INSTALL_USE_QT_SYS_PATHS=ON # ecm.eclass
+   -DKDE_INSTALL_DOCBUNDLEDIR="${EPREFIX}/usr/share/help" 
# ecm.eclass
+   -DPHONON_BUILD_DESIGNER_PLUGIN=$(usex designer)
+   -DCMAKE_DISABLE_FIND_PACKAGE_GLIB2=$(usex !pulseaudio)
+   -DCMAKE_DISABLE_FIND_PACKAGE_PulseAudio=$(usex 
!pulseaudio)
+   )
+
+   if [[ ${MULTIBUILD_VARIANT} == qt6 ]]; then
+   mycmakeargs+=(
+   -DPHONON_BUILD_QT5=OFF
+   -DPHONON_BUILD_SETTINGS=ON
+   )
+   else
+   mycmakeargs+=(
+   -DPHONON_BUILD_QT6=OFF
+   -DPHONON_BUILD_SETTINGS=$(usex !qt6)
+   )
+   fi
+
+   cmake_src_configure
+   }
+
+   multibuild_foreach_variant myconfigure
+}
+
+src_compile() {
+   multibuild_foreach_variant cmake_src_compile
 }
 
 src_install() {
-   ecm_src_install
+   multibuild_foreach_variant cmake_src_install
make_desktop_entry "${PN}settings" \
"Phonon Audio and Video" preferences-desktop-sound
 }



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-vlc/

2024-03-03 Thread Andreas Sturmlechner
commit: f36f623ce0b2566c299233d684bd722be9396b3e
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Sun Mar  3 16:09:23 2024 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Sun Mar  3 16:16:15 2024 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=f36f623c

media-libs/phonon-vlc: Use cmake.eclass and multibuild instead of ecm.eclass

Simultanous build of Qt5 and Qt6 is broken, installing Qt6 plugins
in Qt5 paths and vice versa.

ebuild was barely using ecm facilities anyway, this makes sure only those
deps that are needed are also used.

Bug: https://bugs.gentoo.org/923502
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon-vlc/phonon-vlc-.ebuild | 53 +++-
 1 file changed, 44 insertions(+), 9 deletions(-)

diff --git a/media-libs/phonon-vlc/phonon-vlc-.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-.ebuild
index 3f2110698e..4753dd1660 100644
--- a/media-libs/phonon-vlc/phonon-vlc-.ebuild
+++ b/media-libs/phonon-vlc/phonon-vlc-.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-inherit ecm kde.org
+inherit cmake flag-o-matic kde.org multibuild
 
 DESCRIPTION="VLC backend for the Phonon multimedia library"
 HOMEPAGE="https://community.kde.org/Phonon;
@@ -16,13 +16,14 @@ fi
 
 LICENSE="LGPL-2.1+ || ( LGPL-2.1 LGPL-3 )"
 SLOT="0"
-IUSE="+qt5 qt6"
+IUSE="debug +qt5 qt6"
 REQUIRED_USE="|| ( qt5 qt6 )"
 
 DEPEND="
>=media-libs/phonon-4.12.0[qt5=,qt6=]
media-video/vlc:=[dbus,ogg,vorbis(+)]
qt5? (
+   dev-qt/qtcore:5
dev-qt/qtgui:5
dev-qt/qtwidgets:5
)
@@ -30,15 +31,49 @@ DEPEND="
 "
 RDEPEND="${DEPEND}"
 BDEPEND="
-   qt5? ( dev-qt/linguist-tools:5 )
-   qt6? ( dev-qt/qttools:6[linguist] )
+   dev-libs/libpcre2:*
virtual/pkgconfig
+   qt5? (
+   dev-qt/linguist-tools:5
+   >=kde-frameworks/extra-cmake-modules-5.115.0:*
+   )
+   qt6? (
+   dev-qt/qttools:6[linguist]
+   >=kde-frameworks/extra-cmake-modules-6.0.0:*
+   )
 "
 
+pkg_setup() {
+   MULTIBUILD_VARIANTS=( $(usev qt5) $(usev qt6) )
+}
+
 src_configure() {
-   local mycmakeargs=(
-   -DPHONON_BUILD_QT5=$(usex qt5)
-   -DPHONON_BUILD_QT6=$(usex qt6)
-   )
-   ecm_src_configure
+   use debug || append-cppflags -DQT_NO_DEBUG
+
+   myconfigure() {
+   local mycmakeargs=(
+   -DQT_MAJOR_VERSION=${MULTIBUILD_VARIANT/qt/}
+   -DPHONON_BUILD_${MULTIBUILD_VARIANT^^}=ON
+   -DKDE_INSTALL_USE_QT_SYS_PATHS=ON # ecm.eclass
+   -DKDE_INSTALL_DOCBUNDLEDIR="${EPREFIX}/usr/share/help" 
# ecm.eclass
+   )
+
+   if [[ ${MULTIBUILD_VARIANT} == qt6 ]]; then
+   mycmakeargs+=( -DPHONON_BUILD_QT5=OFF )
+   else
+   mycmakeargs+=( -DPHONON_BUILD_QT6=OFF )
+   fi
+
+   cmake_src_configure
+   }
+
+   multibuild_foreach_variant myconfigure
+}
+
+src_compile() {
+   multibuild_foreach_variant cmake_src_compile
+}
+
+src_install() {
+   multibuild_foreach_variant cmake_src_install
 }



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-gstreamer/

2024-03-03 Thread Andreas Sturmlechner
commit: a57e240f64fce431c61b7a49157dbb415aa17924
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Sun Mar  3 13:42:51 2024 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Sun Mar  3 13:55:52 2024 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=a57e240f

media-libs/phonon-gstreamer: treeclean, unmaintained upstream

RIP: https://invent.kde.org/libraries/phonon-gstreamer

Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon-gstreamer/metadata.xml   | 14 
 .../phonon-gstreamer/phonon-gstreamer-.ebuild  | 39 --
 2 files changed, 53 deletions(-)

diff --git a/media-libs/phonon-gstreamer/metadata.xml 
b/media-libs/phonon-gstreamer/metadata.xml
deleted file mode 100644
index 52ea6e1ffc..00
--- a/media-libs/phonon-gstreamer/metadata.xml
+++ /dev/null
@@ -1,14 +0,0 @@
-
-https://www.gentoo.org/dtd/metadata.dtd;>
-
-   
-   k...@gentoo.org
-   Gentoo KDE Project
-   
-   
-   https://bugs.kde.org/
-   
-   
-   Enable network streaming support via 
libsoup
-   
-

diff --git a/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild 
b/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
deleted file mode 100644
index cc3b768cb4..00
--- a/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
+++ /dev/null
@@ -1,39 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit ecm kde.org
-
-DESCRIPTION="GStreamer backend for the Phonon multimedia library"
-HOMEPAGE="https://community.kde.org/Phonon;
-
-if [[ ${KDE_BUILD_TYPE} = release ]]; then
-   
SRC_URI="mirror://kde/stable/phonon/phonon-backend-gstreamer/${PV}/phonon-backend-gstreamer-${PV}.tar.xz"
-   KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
-fi
-
-LICENSE="LGPL-2.1+ || ( LGPL-2.1 LGPL-3 )"
-SLOT="0"
-IUSE="alsa debug +network"
-
-BDEPEND="
-   dev-qt/linguist-tools:5
-   virtual/pkgconfig
-"
-DEPEND="
-   dev-libs/glib:2
-   dev-libs/libxml2:2
-   dev-qt/qtgui:5
-   dev-qt/qtopengl:5
-   dev-qt/qtwidgets:5
-   dev-qt/qtx11extras:5
-   media-libs/gst-plugins-base:1.0
-   media-libs/gstreamer:1.0
-   >=media-libs/phonon-4.11.0[qt5(+)]
-   media-plugins/gst-plugins-meta:1.0[alsa?,ogg,vorbis]
-   virtual/opengl
-"
-RDEPEND="${DEPEND}
-   network? ( media-plugins/gst-plugins-soup:1.0 )
-"



[gentoo-commits] proj/kde:master commit in: media-libs/phonon/

2023-12-22 Thread Andreas Sturmlechner
commit: 5bda6c9103ceeac1544082e9a6a259d8edf2e621
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Fri Dec 22 09:23:59 2023 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Fri Dec 22 09:26:25 2023 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=5bda6c91

media-libs/phonon: drop 4.12.0, moved to ::gentoo

Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon/phonon-4.12.0.ebuild | 63 --
 1 file changed, 63 deletions(-)

diff --git a/media-libs/phonon/phonon-4.12.0.ebuild 
b/media-libs/phonon/phonon-4.12.0.ebuild
deleted file mode 100644
index 63d504edbc..00
--- a/media-libs/phonon/phonon-4.12.0.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit desktop ecm kde.org
-
-DESCRIPTION="KDE multimedia abstraction library"
-HOMEPAGE="https://community.kde.org/Phonon;
-
-if [[ ${KDE_BUILD_TYPE} = release ]]; then
-   SRC_URI="mirror://kde/stable/phonon/${PV}/${P}.tar.xz"
-   KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
-fi
-
-LICENSE="|| ( LGPL-2.1 LGPL-3 ) !pulseaudio? ( || ( GPL-2 GPL-3 ) )"
-SLOT="0"
-IUSE="designer pulseaudio +qt5 qt6 +vlc"
-REQUIRED_USE="|| ( qt5 qt6 )"
-
-DEPEND="
-   pulseaudio? (
-   dev-libs/glib:2
-   media-libs/libpulse[glib]
-   )
-   qt5? (
-   dev-qt/qtgui:5
-   dev-qt/qtwidgets:5
-   designer? ( dev-qt/designer:5 )
-   )
-   qt6? (
-   dev-qt/qt5compat:6
-   dev-qt/qtbase:6[gui,widgets]
-   designer? ( dev-qt/qttools:6[designer] )
-   )
-"
-RDEPEND="${DEPEND}"
-BDEPEND="
-   qt5? ( dev-qt/linguist-tools:5 )
-   qt6? ( dev-qt/qttools:6[linguist] )
-   virtual/pkgconfig
-"
-PDEPEND="
-   vlc? ( >=media-libs/phonon-vlc-0.12.0[qt5?,qt6?] )
-"
-
-src_configure() {
-   local mycmakeargs=(
-   -DPHONON_BUILD_DESIGNER_PLUGIN=$(usex designer)
-   -DCMAKE_DISABLE_FIND_PACKAGE_GLIB2=$(usex !pulseaudio)
-   -DCMAKE_DISABLE_FIND_PACKAGE_PulseAudio=$(usex !pulseaudio)
-   -DPHONON_BUILD_QT5=$(usex qt5)
-   -DPHONON_BUILD_QT6=$(usex qt6)
-   -DPHONON_BUILD_SETTINGS=ON
-   )
-   ecm_src_configure
-}
-
-src_install() {
-   ecm_src_install
-   make_desktop_entry "${PN}settings" \
-   "Phonon Audio and Video" preferences-desktop-sound
-}



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-vlc/

2023-12-22 Thread Andreas Sturmlechner
commit: 2e598005d4d0cca22cd78660fea15ee2febe145e
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Fri Dec 22 09:24:20 2023 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Fri Dec 22 09:26:25 2023 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=2e598005

media-libs/phonon-vlc: drop 0.12.0, moved to ::gentoo

Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild | 44 --
 1 file changed, 44 deletions(-)

diff --git a/media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild
deleted file mode 100644
index 62401f9834..00
--- a/media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild
+++ /dev/null
@@ -1,44 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit ecm kde.org
-
-DESCRIPTION="VLC backend for the Phonon multimedia library"
-HOMEPAGE="https://community.kde.org/Phonon;
-
-if [[ ${KDE_BUILD_TYPE} = release ]]; then
-   
SRC_URI="mirror://kde/stable/phonon/phonon-backend-vlc/${PV}/phonon-backend-vlc-${PV}.tar.xz"
-   S="${WORKDIR}"/phonon-backend-vlc-${PV}
-   KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
-fi
-
-LICENSE="LGPL-2.1+ || ( LGPL-2.1 LGPL-3 )"
-SLOT="0"
-IUSE="+qt5 qt6"
-REQUIRED_USE="|| ( qt5 qt6 )"
-
-DEPEND="
-   >=media-libs/phonon-4.12.0[qt5=,qt6=]
-   media-video/vlc:=[dbus,ogg,vorbis(+)]
-   qt5? (
-   dev-qt/qtgui:5
-   dev-qt/qtwidgets:5
-   )
-   qt6? ( dev-qt/qtbase:6[gui,widgets] )
-"
-RDEPEND="${DEPEND}"
-BDEPEND="
-   qt5? ( dev-qt/linguist-tools:5 )
-   qt6? ( dev-qt/qttools:6[linguist] )
-   virtual/pkgconfig
-"
-
-src_configure() {
-   local mycmakeargs=(
-   -DPHONON_BUILD_QT5=$(usex qt5)
-   -DPHONON_BUILD_QT6=$(usex qt6)
-   )
-   ecm_src_configure
-}



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-vlc/

2023-11-28 Thread Sam James
commit: 6719012606ef35c6385c40a5b491a7d7d0bcd96e
Author: Sam James  gentoo  org>
AuthorDate: Wed Nov 29 03:19:34 2023 +
Commit: Sam James  gentoo  org>
CommitDate: Wed Nov 29 03:19:34 2023 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=67190126

media-libs/phonon-vlc: fix S

Signed-off-by: Sam James  gentoo.org>

 media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild | 1 +
 media-libs/phonon-vlc/phonon-vlc-.ebuild   | 1 +
 2 files changed, 2 insertions(+)

diff --git a/media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild
index 4017e5e068..62401f9834 100644
--- a/media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild
+++ b/media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild
@@ -10,6 +10,7 @@ HOMEPAGE="https://community.kde.org/Phonon;
 
 if [[ ${KDE_BUILD_TYPE} = release ]]; then

SRC_URI="mirror://kde/stable/phonon/phonon-backend-vlc/${PV}/phonon-backend-vlc-${PV}.tar.xz"
+   S="${WORKDIR}"/phonon-backend-vlc-${PV}
KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
 fi
 

diff --git a/media-libs/phonon-vlc/phonon-vlc-.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-.ebuild
index ec7f0c54a8..62f22baad0 100644
--- a/media-libs/phonon-vlc/phonon-vlc-.ebuild
+++ b/media-libs/phonon-vlc/phonon-vlc-.ebuild
@@ -10,6 +10,7 @@ HOMEPAGE="https://community.kde.org/Phonon;
 
 if [[ ${KDE_BUILD_TYPE} = release ]]; then

SRC_URI="mirror://kde/stable/phonon/phonon-backend-vlc/${PV}/phonon-backend-vlc-${PV}.tar.xz"
+   S="${WORKDIR}"/phonon-backend-vlc-${PV}
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
 fi
 



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-vlc/

2023-11-28 Thread Andreas Sturmlechner
commit: 8052643bbddc5d732e24b5ebd1f285bf29b5800f
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Tue Nov 28 20:36:35 2023 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Tue Nov 28 22:52:18 2023 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=8052643b

media-libs/phonon-vlc: add 0.12.0

Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild | 43 ++
 1 file changed, 43 insertions(+)

diff --git a/media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild
new file mode 100644
index 00..4017e5e068
--- /dev/null
+++ b/media-libs/phonon-vlc/phonon-vlc-0.12.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit ecm kde.org
+
+DESCRIPTION="VLC backend for the Phonon multimedia library"
+HOMEPAGE="https://community.kde.org/Phonon;
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+   
SRC_URI="mirror://kde/stable/phonon/phonon-backend-vlc/${PV}/phonon-backend-vlc-${PV}.tar.xz"
+   KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="LGPL-2.1+ || ( LGPL-2.1 LGPL-3 )"
+SLOT="0"
+IUSE="+qt5 qt6"
+REQUIRED_USE="|| ( qt5 qt6 )"
+
+DEPEND="
+   >=media-libs/phonon-4.12.0[qt5=,qt6=]
+   media-video/vlc:=[dbus,ogg,vorbis(+)]
+   qt5? (
+   dev-qt/qtgui:5
+   dev-qt/qtwidgets:5
+   )
+   qt6? ( dev-qt/qtbase:6[gui,widgets] )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+   qt5? ( dev-qt/linguist-tools:5 )
+   qt6? ( dev-qt/qttools:6[linguist] )
+   virtual/pkgconfig
+"
+
+src_configure() {
+   local mycmakeargs=(
+   -DPHONON_BUILD_QT5=$(usex qt5)
+   -DPHONON_BUILD_QT6=$(usex qt6)
+   )
+   ecm_src_configure
+}



[gentoo-commits] proj/kde:master commit in: media-libs/phonon/

2023-11-28 Thread Andreas Sturmlechner
commit: 854c3f8d6537eab2b7f5a5569e61acd5625ae75e
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Tue Nov 28 20:36:15 2023 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Tue Nov 28 22:52:18 2023 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=854c3f8d

media-libs/phonon: add 4.12.0

Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon/phonon-4.12.0.ebuild | 63 ++
 1 file changed, 63 insertions(+)

diff --git a/media-libs/phonon/phonon-4.12.0.ebuild 
b/media-libs/phonon/phonon-4.12.0.ebuild
new file mode 100644
index 00..63d504edbc
--- /dev/null
+++ b/media-libs/phonon/phonon-4.12.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop ecm kde.org
+
+DESCRIPTION="KDE multimedia abstraction library"
+HOMEPAGE="https://community.kde.org/Phonon;
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+   SRC_URI="mirror://kde/stable/phonon/${PV}/${P}.tar.xz"
+   KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="|| ( LGPL-2.1 LGPL-3 ) !pulseaudio? ( || ( GPL-2 GPL-3 ) )"
+SLOT="0"
+IUSE="designer pulseaudio +qt5 qt6 +vlc"
+REQUIRED_USE="|| ( qt5 qt6 )"
+
+DEPEND="
+   pulseaudio? (
+   dev-libs/glib:2
+   media-libs/libpulse[glib]
+   )
+   qt5? (
+   dev-qt/qtgui:5
+   dev-qt/qtwidgets:5
+   designer? ( dev-qt/designer:5 )
+   )
+   qt6? (
+   dev-qt/qt5compat:6
+   dev-qt/qtbase:6[gui,widgets]
+   designer? ( dev-qt/qttools:6[designer] )
+   )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+   qt5? ( dev-qt/linguist-tools:5 )
+   qt6? ( dev-qt/qttools:6[linguist] )
+   virtual/pkgconfig
+"
+PDEPEND="
+   vlc? ( >=media-libs/phonon-vlc-0.12.0[qt5?,qt6?] )
+"
+
+src_configure() {
+   local mycmakeargs=(
+   -DPHONON_BUILD_DESIGNER_PLUGIN=$(usex designer)
+   -DCMAKE_DISABLE_FIND_PACKAGE_GLIB2=$(usex !pulseaudio)
+   -DCMAKE_DISABLE_FIND_PACKAGE_PulseAudio=$(usex !pulseaudio)
+   -DPHONON_BUILD_QT5=$(usex qt5)
+   -DPHONON_BUILD_QT6=$(usex qt6)
+   -DPHONON_BUILD_SETTINGS=ON
+   )
+   ecm_src_configure
+}
+
+src_install() {
+   ecm_src_install
+   make_desktop_entry "${PN}settings" \
+   "Phonon Audio and Video" preferences-desktop-sound
+}



[gentoo-commits] proj/kde:master commit in: media-libs/phonon/

2023-11-27 Thread Andreas Sturmlechner
commit: 5d2ca195c1c7020564d365f0463bb3db30e2f67e
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Mon Nov 27 21:10:50 2023 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Mon Nov 27 23:21:35 2023 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=5d2ca195

media-libs/phonon: Add IUSE="qt5,qt6"

TODO: phononsettings currently built against Qt6 if both flags are enabled.

Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon/phonon-.ebuild | 24 +---
 1 file changed, 17 insertions(+), 7 deletions(-)

diff --git a/media-libs/phonon/phonon-.ebuild 
b/media-libs/phonon/phonon-.ebuild
index aeb2ece48b..49a50dbd7b 100644
--- a/media-libs/phonon/phonon-.ebuild
+++ b/media-libs/phonon/phonon-.ebuild
@@ -15,25 +15,33 @@ fi
 
 LICENSE="|| ( LGPL-2.1 LGPL-3 ) !pulseaudio? ( || ( GPL-2 GPL-3 ) )"
 SLOT="0"
-IUSE="debug designer gstreamer pulseaudio +vlc"
+IUSE="designer pulseaudio +qt5 qt6 +vlc"
+REQUIRED_USE="|| ( qt5 qt6 )"
 
 DEPEND="
-   dev-qt/qtgui:5
-   dev-qt/qtwidgets:5
-   designer? ( dev-qt/designer:5 )
pulseaudio? (
dev-libs/glib:2
media-libs/libpulse[glib]
)
+   qt5? (
+   dev-qt/qtgui:5
+   dev-qt/qtwidgets:5
+   designer? ( dev-qt/designer:5 )
+   )
+   qt6? (
+   dev-qt/qt5compat:6
+   dev-qt/qtbase:6[gui,widgets]
+   designer? ( dev-qt/qttools:6[designer] )
+   )
 "
 RDEPEND="${DEPEND}"
 BDEPEND="
-   dev-qt/linguist-tools:5
+   qt5? ( dev-qt/linguist-tools:5 )
+   qt6? ( dev-qt/qttools:6[linguist] )
virtual/pkgconfig
 "
 PDEPEND="
-   gstreamer? ( >=media-libs/phonon-gstreamer-4.9.60 )
-   vlc? ( >=media-libs/phonon-vlc-0.9.60 )
+   vlc? ( >=media-libs/phonon-vlc-0.12.0[qt5?,qt6?] )
 "
 
 src_configure() {
@@ -41,6 +49,8 @@ src_configure() {
-DPHONON_BUILD_DESIGNER_PLUGIN=$(usex designer)
-DCMAKE_DISABLE_FIND_PACKAGE_GLIB2=$(usex !pulseaudio)
-DCMAKE_DISABLE_FIND_PACKAGE_PulseAudio=$(usex !pulseaudio)
+   -DPHONON_BUILD_QT5=$(usex qt5)
+   -DPHONON_BUILD_QT6=$(usex qt6)
-DPHONON_BUILD_SETTINGS=ON
)
ecm_src_configure



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-vlc/

2023-11-27 Thread Andreas Sturmlechner
commit: c3ed941cae94ce7185dabf062caaedafa6dea7a1
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Mon Nov 27 21:39:48 2023 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Mon Nov 27 23:21:35 2023 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=c3ed941c

media-libs/phonon-vlc: Add IUSE="qt5,qt6"

Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon-vlc/phonon-vlc-.ebuild | 29 
 1 file changed, 21 insertions(+), 8 deletions(-)

diff --git a/media-libs/phonon-vlc/phonon-vlc-.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-.ebuild
index d4a1e66c48..ec7f0c54a8 100644
--- a/media-libs/phonon-vlc/phonon-vlc-.ebuild
+++ b/media-libs/phonon-vlc/phonon-vlc-.ebuild
@@ -15,16 +15,29 @@ fi
 
 LICENSE="LGPL-2.1+ || ( LGPL-2.1 LGPL-3 )"
 SLOT="0"
-IUSE="debug"
+IUSE="+qt5 qt6"
+REQUIRED_USE="|| ( qt5 qt6 )"
 
-BDEPEND="
-   dev-qt/linguist-tools:5
-   virtual/pkgconfig
-"
 DEPEND="
-   dev-qt/qtgui:5
-   dev-qt/qtwidgets:5
-   >=media-libs/phonon-4.11.0
+   >=media-libs/phonon-4.12.0[qt5=,qt6=]
media-video/vlc:=[dbus,ogg,vorbis(+)]
+   qt5? (
+   dev-qt/qtgui:5
+   dev-qt/qtwidgets:5
+   )
+   qt6? ( dev-qt/qtbase:6[gui,widgets] )
 "
 RDEPEND="${DEPEND}"
+BDEPEND="
+   qt5? ( dev-qt/linguist-tools:5 )
+   qt6? ( dev-qt/qttools:6[linguist] )
+   virtual/pkgconfig
+"
+
+src_configure() {
+   local mycmakeargs=(
+   -DPHONON_BUILD_QT5=$(usex qt5)
+   -DPHONON_BUILD_QT6=$(usex qt6)
+   )
+   ecm_src_configure
+}



[gentoo-commits] proj/kde:master commit in: media-libs/phonon/

2022-07-14 Thread Andreas Sturmlechner
commit: 17bede97d7a2234232ded25d225f15a6851c36cf
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Thu Sep 30 18:10:56 2021 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Thu Jul 14 13:00:26 2022 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=17bede97

media-libs/phonon: Switch IUSE pulseaudio to media-libs/libpulse

Package-Manager: Portage-3.0.26, Repoman-3.0.3
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon/phonon-.ebuild | 10 +-
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/media-libs/phonon/phonon-.ebuild 
b/media-libs/phonon/phonon-.ebuild
index 47e7a620d2..817122c04d 100644
--- a/media-libs/phonon/phonon-.ebuild
+++ b/media-libs/phonon/phonon-.ebuild
@@ -17,20 +17,20 @@ LICENSE="|| ( LGPL-2.1 LGPL-3 ) !pulseaudio? ( || ( GPL-2 
GPL-3 ) )"
 SLOT="0"
 IUSE="debug designer gstreamer pulseaudio +vlc"
 
-BDEPEND="
-   dev-qt/linguist-tools:5
-   virtual/pkgconfig
-"
 DEPEND="
dev-qt/qtgui:5
dev-qt/qtwidgets:5
designer? ( dev-qt/designer:5 )
pulseaudio? (
dev-libs/glib:2
-   media-sound/pulseaudio[glib]
+   media-libs/libpulse[glib]
)
 "
 RDEPEND="${DEPEND}"
+BDEPEND="
+   dev-qt/linguist-tools:5
+   virtual/pkgconfig
+"
 PDEPEND="
gstreamer? ( >=media-libs/phonon-gstreamer-4.9.60 )
vlc? ( >=media-libs/phonon-vlc-0.9.60 )



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-vlc/

2021-05-15 Thread Andreas Sturmlechner
commit: 63d6005fb7184ecd1157fded7bfb97d39e992bb9
Author: Thomas Deutschmann  gentoo  org>
AuthorDate: Tue May 11 12:30:59 2021 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Sat May 15 20:50:29 2021 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=63d6005f

media-libs/phonon-vlc: >=media-video/vlc-3.0.14 now always depend on vorbis

Since commit 61e99a621f6a8e0ad3085838ec618102c906f6cb, VLC is now always
depending on vorbis and USE=vorbis is gone.

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann  gentoo.org>
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon-vlc/phonon-vlc-.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/phonon-vlc/phonon-vlc-.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-.ebuild
index b192ec6ef2..7f9bcbb9a0 100644
--- a/media-libs/phonon-vlc/phonon-vlc-.ebuild
+++ b/media-libs/phonon-vlc/phonon-vlc-.ebuild
@@ -25,6 +25,6 @@ DEPEND="
dev-qt/qtgui:5
dev-qt/qtwidgets:5
>=media-libs/phonon-4.11.0
-   media-video/vlc:=[dbus,ogg,vorbis]
+   media-video/vlc:=[dbus,ogg,vorbis(+)]
 "
 RDEPEND="${DEPEND}"



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-gstreamer/, media-libs/phonon-vlc/, media-libs/phonon/

2020-05-20 Thread Andreas Sturmlechner
commit: 1f970450c9bab0eb808bf607bc0c871914a2de42
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Wed May 20 19:21:30 2020 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Wed May 20 19:28:39 2020 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=1f970450

media-libs/phonon*: Update HOMEPAGE

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild | 2 +-
 media-libs/phonon-vlc/phonon-vlc-.ebuild | 2 +-
 media-libs/phonon/phonon-.ebuild | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild 
b/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
index 54894d223c..4cae0db6b1 100644
--- a/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
+++ b/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
@@ -6,7 +6,7 @@ EAPI=7
 inherit ecm kde.org
 
 DESCRIPTION="GStreamer backend for the Phonon multimedia library"
-HOMEPAGE="https://phonon.kde.org/;
+HOMEPAGE="https://community.kde.org/Phonon;
 
 if [[ ${KDE_BUILD_TYPE} = release ]]; then

SRC_URI="mirror://kde/stable/phonon/phonon-backend-gstreamer/${PV}/phonon-backend-gstreamer-${PV}.tar.xz"

diff --git a/media-libs/phonon-vlc/phonon-vlc-.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-.ebuild
index eca2c3a9a9..0df8b33d6c 100644
--- a/media-libs/phonon-vlc/phonon-vlc-.ebuild
+++ b/media-libs/phonon-vlc/phonon-vlc-.ebuild
@@ -6,7 +6,7 @@ EAPI=7
 inherit ecm kde.org
 
 DESCRIPTION="VLC backend for the Phonon multimedia library"
-HOMEPAGE="https://phonon.kde.org/;
+HOMEPAGE="https://community.kde.org/Phonon;
 
 if [[ ${KDE_BUILD_TYPE} = release ]]; then

SRC_URI="mirror://kde/stable/phonon/phonon-backend-vlc/${PV}/phonon-backend-vlc-${PV}.tar.xz"

diff --git a/media-libs/phonon/phonon-.ebuild 
b/media-libs/phonon/phonon-.ebuild
index ff8b116582..7badffa6de 100644
--- a/media-libs/phonon/phonon-.ebuild
+++ b/media-libs/phonon/phonon-.ebuild
@@ -6,7 +6,7 @@ EAPI=7
 inherit desktop ecm kde.org
 
 DESCRIPTION="KDE multimedia abstraction library"
-HOMEPAGE="https://phonon.kde.org/;
+HOMEPAGE="https://community.kde.org/Phonon;
 
 if [[ ${KDE_BUILD_TYPE} = release ]]; then
SRC_URI="mirror://kde/stable/phonon/${PV}/${P}.tar.xz"



[gentoo-commits] proj/kde:master commit in: media-libs/phonon/

2019-11-22 Thread Andreas Sturmlechner
commit: 794f895bf4b584b875af4af5b628e69b750ce4b7
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Fri Nov 22 12:59:54 2019 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Fri Nov 22 12:59:54 2019 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=794f895b

media-libs/phonon: Always build phononsettings

Package-Manager: Portage-2.3.79, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon/phonon-.ebuild | 7 +++
 1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/media-libs/phonon/phonon-.ebuild 
b/media-libs/phonon/phonon-.ebuild
index 0ebc2ce066..56480c9276 100644
--- a/media-libs/phonon/phonon-.ebuild
+++ b/media-libs/phonon/phonon-.ebuild
@@ -41,14 +41,13 @@ src_configure() {
-DPHONON_BUILD_DESIGNER_PLUGIN=$(usex designer)
-DCMAKE_DISABLE_FIND_PACKAGE_GLIB2=$(usex !pulseaudio)
-DCMAKE_DISABLE_FIND_PACKAGE_PulseAudio=$(usex !pulseaudio)
-   -DPHONON_BUILD_SETTINGS=$(usex !pulseaudio)
+   -DPHONON_BUILD_SETTINGS=ON
)
ecm_src_configure
 }
 
 src_install() {
ecm_src_install
-   use pulseaudio || \
-   make_desktop_entry "${PN}settings" \
-   "Phonon Audio and Video" preferences-desktop-sound
+   make_desktop_entry "${PN}settings" \
+   "Phonon Audio and Video" preferences-desktop-sound
 }



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-vlc/

2019-11-14 Thread Andreas Sturmlechner
commit: a1f0ca40ebbc7c0184a1c693bfd816f80789f8be
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Wed Nov 13 20:52:29 2019 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Thu Nov 14 16:41:48 2019 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=a1f0ca40

media-libs/phonon-vlc: Add missing BDEPEND

Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon-vlc/phonon-vlc-.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/media-libs/phonon-vlc/phonon-vlc-.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-.ebuild
index 9aef61bb41..1b550080bb 100644
--- a/media-libs/phonon-vlc/phonon-vlc-.ebuild
+++ b/media-libs/phonon-vlc/phonon-vlc-.ebuild
@@ -18,6 +18,7 @@ SLOT="0"
 IUSE="debug"
 
 BDEPEND="
+   dev-qt/linguist-tools:5
virtual/pkgconfig
 "
 DEPEND="



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-vlc/, media-libs/libqaccessibilityclient/, media-libs/phonon/, ...

2019-11-12 Thread Andreas Sturmlechner
commit: 75256c747707958bcd0a36ea24cde5d1ab9ad348
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Wed Nov 13 01:18:30 2019 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Wed Nov 13 01:20:57 2019 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=75256c74

media-libs: Port to ecm.eclass and kde.org.eclass

Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 .../libqaccessibilityclient-.ebuild | 14 --
 .../phonon-gstreamer/phonon-gstreamer-.ebuild   |  2 +-
 media-libs/phonon-vlc/phonon-vlc-.ebuild|  2 +-
 media-libs/phonon/phonon-.ebuild|  6 +++---
 media-libs/pulseaudio-qt/pulseaudio-qt-.ebuild  | 17 +
 5 files changed, 22 insertions(+), 19 deletions(-)

diff --git 
a/media-libs/libqaccessibilityclient/libqaccessibilityclient-.ebuild 
b/media-libs/libqaccessibilityclient/libqaccessibilityclient-.ebuild
index 8757e4e38c..c3a01763e3 100644
--- a/media-libs/libqaccessibilityclient/libqaccessibilityclient-.ebuild
+++ b/media-libs/libqaccessibilityclient/libqaccessibilityclient-.ebuild
@@ -4,10 +4,11 @@
 EAPI=7
 
 ECM_KDEINSTALLDIRS="false"
-KDE_TEST="true"
-KDE_EXAMPLES="true"
+ECM_TEST="true"
+ECM_EXAMPLES="true"
+QTMIN=5.12.3
 VIRTUALX_REQUIRED="test"
-inherit kde5
+inherit ecm kde.org
 
 DESCRIPTION="Library for writing accessibility clients such as screen readers"
 HOMEPAGE="https://accessibility.kde.org/ 
https://cgit.kde.org/libqaccessibilityclient.git;
@@ -18,12 +19,13 @@ if [[ ${KDE_BUILD_TYPE} = release ]]; then
 fi
 
 LICENSE="LGPL-2.1"
+SLOT="5"
 IUSE=""
 
 DEPEND="
-   $(add_qt_dep qtdbus)
-   $(add_qt_dep qtgui)
-   $(add_qt_dep qtwidgets)
+   >=dev-qt/qtdbus-${QTMIN}:5
+   >=dev-qt/qtgui-${QTMIN}:5
+   >=dev-qt/qtwidgets-${QTMIN}:5
 "
 RDEPEND="${DEPEND}"
 

diff --git a/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild 
b/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
index 263fa0ffce..f1b6538926 100644
--- a/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
+++ b/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit kde5
+inherit ecm kde.org
 
 DESCRIPTION="GStreamer backend for the Phonon multimedia library"
 HOMEPAGE="https://phonon.kde.org/;

diff --git a/media-libs/phonon-vlc/phonon-vlc-.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-.ebuild
index 890afef5f1..9aef61bb41 100644
--- a/media-libs/phonon-vlc/phonon-vlc-.ebuild
+++ b/media-libs/phonon-vlc/phonon-vlc-.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit kde5
+inherit ecm kde.org
 
 DESCRIPTION="VLC backend for the Phonon multimedia library"
 HOMEPAGE="https://phonon.kde.org/;

diff --git a/media-libs/phonon/phonon-.ebuild 
b/media-libs/phonon/phonon-.ebuild
index b8c768c6d7..0ebc2ce066 100644
--- a/media-libs/phonon/phonon-.ebuild
+++ b/media-libs/phonon/phonon-.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit desktop kde5
+inherit desktop ecm kde.org
 
 DESCRIPTION="KDE multimedia abstraction library"
 HOMEPAGE="https://phonon.kde.org/;
@@ -43,11 +43,11 @@ src_configure() {
-DCMAKE_DISABLE_FIND_PACKAGE_PulseAudio=$(usex !pulseaudio)
-DPHONON_BUILD_SETTINGS=$(usex !pulseaudio)
)
-   kde5_src_configure
+   ecm_src_configure
 }
 
 src_install() {
-   kde5_src_install
+   ecm_src_install
use pulseaudio || \
make_desktop_entry "${PN}settings" \
"Phonon Audio and Video" preferences-desktop-sound

diff --git a/media-libs/pulseaudio-qt/pulseaudio-qt-.ebuild 
b/media-libs/pulseaudio-qt/pulseaudio-qt-.ebuild
index f3d859d3f0..72715c3d5f 100644
--- a/media-libs/pulseaudio-qt/pulseaudio-qt-.ebuild
+++ b/media-libs/pulseaudio-qt/pulseaudio-qt-.ebuild
@@ -3,10 +3,11 @@
 
 EAPI=7
 
-KDE_HANDBOOK="forceoptional"
-KDE_QTHELP="true"
-KDE_TEST="optional"
-inherit kde5
+ECM_HANDBOOK="forceoptional"
+ECM_QTHELP="true"
+ECM_TEST="optional"
+QTMIN=5.12.3
+inherit ecm kde.org
 
 DESCRIPTION="Qt bindings for libpulse"
 HOMEPAGE="https://cgit.kde.org/pulseaudio-qt.git/;
@@ -21,14 +22,14 @@ SLOT="0"
 IUSE=""
 
 RDEPEND="
-   $(add_qt_dep qtdbus)
-   $(add_qt_dep qtgui)
+   >=dev-qt/qtdbus-${QTMIN}:5
+   >=dev-qt/qtgui-${QTMIN}:5
dev-libs/glib:2
media-sound/pulseaudio
 "
 DEPEND="${RDEPEND}
test? (
-   $(add_qt_dep qtdeclarative)
-   $(add_qt_dep qtquickcontrols2)
+   >=dev-qt/qtdeclarative-${QTMIN}:5
+   >=dev-qt/qtquickcontrols2-${QTMIN}:5
)
 "



[gentoo-commits] proj/kde:master commit in: media-libs/phonon/

2019-10-24 Thread Andreas Sturmlechner
commit: ee8440e699e1badcec9ba32123edb3434f2f9c8d
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Thu Oct 24 18:19:10 2019 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Thu Oct 24 18:19:10 2019 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=ee8440e6

media-libs/phonon: Drop obsolete blocker

Package-Manager: Portage-2.3.78, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon/phonon-.ebuild | 1 -
 1 file changed, 1 deletion(-)

diff --git a/media-libs/phonon/phonon-.ebuild 
b/media-libs/phonon/phonon-.ebuild
index bf987161e4..b8c768c6d7 100644
--- a/media-libs/phonon/phonon-.ebuild
+++ b/media-libs/phonon/phonon-.ebuild
@@ -22,7 +22,6 @@ BDEPEND="
virtual/pkgconfig
 "
 DEPEND="
-   !!dev-qt/qtphonon:4
dev-qt/qtgui:5
dev-qt/qtwidgets:5
designer? ( dev-qt/designer:5 )



[gentoo-commits] proj/kde:master commit in: media-libs/phonon/, media-libs/phonon-gstreamer/

2019-10-11 Thread Andreas Sturmlechner
commit: b929896f1f191a3611dbbd4103127b9f0292eed1
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Fri Oct 11 18:04:47 2019 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Fri Oct 11 18:04:47 2019 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=b929896f

media-libs: *-fbsd KEYWORD is gone

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild | 2 +-
 media-libs/phonon/phonon-.ebuild | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild 
b/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
index 777afe2e95..263fa0ffce 100644
--- a/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
+++ b/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
@@ -10,7 +10,7 @@ HOMEPAGE="https://phonon.kde.org/;
 
 if [[ ${KDE_BUILD_TYPE} = release ]]; then

SRC_URI="mirror://kde/stable/phonon/phonon-backend-gstreamer/${PV}/phonon-backend-gstreamer-${PV}.tar.xz"
-   KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-fbsd"
+   KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
 fi
 
 LICENSE="LGPL-2.1+ || ( LGPL-2.1 LGPL-3 )"

diff --git a/media-libs/phonon/phonon-.ebuild 
b/media-libs/phonon/phonon-.ebuild
index b3be584a2b..bf987161e4 100644
--- a/media-libs/phonon/phonon-.ebuild
+++ b/media-libs/phonon/phonon-.ebuild
@@ -10,7 +10,7 @@ HOMEPAGE="https://phonon.kde.org/;
 
 if [[ ${KDE_BUILD_TYPE} = release ]]; then
SRC_URI="mirror://kde/stable/phonon/${PV}/${P}.tar.xz"
-   KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-fbsd"
+   KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
 fi
 
 LICENSE="|| ( LGPL-2.1 LGPL-3 ) !pulseaudio? ( || ( GPL-2 GPL-3 ) )"



[gentoo-commits] proj/kde:master commit in: media-libs/phonon/

2019-08-31 Thread Andreas Sturmlechner
commit: e11cc707f59bf769410613673e66a34346b07f9a
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Fri Aug 30 18:37:17 2019 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Fri Aug 30 18:37:17 2019 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=e11cc707

media-libs/phonon: Fix LICENSE

Package-Manager: Portage-2.3.73, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon/phonon-.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/phonon/phonon-.ebuild 
b/media-libs/phonon/phonon-.ebuild
index 6edaf832b5..b3be584a2b 100644
--- a/media-libs/phonon/phonon-.ebuild
+++ b/media-libs/phonon/phonon-.ebuild
@@ -13,7 +13,7 @@ if [[ ${KDE_BUILD_TYPE} = release ]]; then
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-fbsd"
 fi
 
-LICENSE="|| ( LGPL-2.1 LGPL-3 )"
+LICENSE="|| ( LGPL-2.1 LGPL-3 ) !pulseaudio? ( || ( GPL-2 GPL-3 ) )"
 SLOT="0"
 IUSE="debug designer gstreamer pulseaudio +vlc"
 



[gentoo-commits] proj/kde:master commit in: media-libs/phonon/

2019-08-30 Thread Andreas Sturmlechner
commit: dedef6b81895e259d585fa235b2ac9c81bb077e1
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Fri Aug 30 07:20:55 2019 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Fri Aug 30 07:20:55 2019 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=dedef6b8

media-libs/phonon: Drop unused local USE-description for gui

Package-Manager: Portage-2.3.73, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon/metadata.xml | 1 -
 1 file changed, 1 deletion(-)

diff --git a/media-libs/phonon/metadata.xml b/media-libs/phonon/metadata.xml
index e86d58c68e..c965ebc5d2 100644
--- a/media-libs/phonon/metadata.xml
+++ b/media-libs/phonon/metadata.xml
@@ -7,7 +7,6 @@


Install plugin for 
dev-qt/designer
-   Install device preferences and backend 
settings GUI
Install VLC Phonon backend

 



[gentoo-commits] proj/kde:master commit in: media-libs/phonon/

2019-08-25 Thread Andreas Sturmlechner
commit: 960ae9fa16b24891520a73b1a72fa98c23389ded
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Mon Aug 26 01:10:48 2019 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Mon Aug 26 01:15:01 2019 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=960ae9fa

media-libs/phonon: Install desktop entry if USE !pulseaudio, drop USE gui

In Plasma 5.17, the KCM in use up to now is going to be removed. Phonon provides
phononsettings as replacement with familiar UI, but regards it as redundant for
PA users.

Package-Manager: Portage-2.3.73, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon/phonon-.ebuild | 13 ++---
 1 file changed, 10 insertions(+), 3 deletions(-)

diff --git a/media-libs/phonon/phonon-.ebuild 
b/media-libs/phonon/phonon-.ebuild
index 9c9a4fc940..6edaf832b5 100644
--- a/media-libs/phonon/phonon-.ebuild
+++ b/media-libs/phonon/phonon-.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=7
 
-inherit kde5
+inherit desktop kde5
 
 DESCRIPTION="KDE multimedia abstraction library"
 HOMEPAGE="https://phonon.kde.org/;
@@ -15,7 +15,7 @@ fi
 
 LICENSE="|| ( LGPL-2.1 LGPL-3 )"
 SLOT="0"
-IUSE="debug designer gstreamer gui pulseaudio +vlc"
+IUSE="debug designer gstreamer pulseaudio +vlc"
 
 BDEPEND="
dev-qt/linguist-tools:5
@@ -42,7 +42,14 @@ src_configure() {
-DPHONON_BUILD_DESIGNER_PLUGIN=$(usex designer)
-DCMAKE_DISABLE_FIND_PACKAGE_GLIB2=$(usex !pulseaudio)
-DCMAKE_DISABLE_FIND_PACKAGE_PulseAudio=$(usex !pulseaudio)
-   -DPHONON_BUILD_SETTINGS=$(usex gui)
+   -DPHONON_BUILD_SETTINGS=$(usex !pulseaudio)
)
kde5_src_configure
 }
+
+src_install() {
+   kde5_src_install
+   use pulseaudio || \
+   make_desktop_entry "${PN}settings" \
+   "Phonon Audio and Video" preferences-desktop-sound
+}



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-vlc/, media-libs/phonon/, media-libs/phonon-gstreamer/

2019-08-22 Thread Andreas Sturmlechner
commit: 6c4e262ac2cc747d34555a66a77ea7d17369d261
Author: Andreas Sturmlechner  gentoo  org>
AuthorDate: Thu Aug 22 12:49:09 2019 +
Commit: Andreas Sturmlechner  gentoo  org>
CommitDate: Thu Aug 22 12:50:35 2019 +
URL:https://gitweb.gentoo.org/proj/kde.git/commit/?id=6c4e262a

media-libs/phonon*: Import live ebuilds from Gentoo ebuild repo

Package-Manager: Portage-2.3.72, Repoman-2.3.17
Signed-off-by: Andreas Sturmlechner  gentoo.org>

 media-libs/phonon-gstreamer/metadata.xml   | 11 +
 .../phonon-gstreamer/phonon-gstreamer-.ebuild  | 39 ++
 media-libs/phonon-vlc/metadata.xml |  8 
 media-libs/phonon-vlc/phonon-vlc-.ebuild   | 29 +
 media-libs/phonon/metadata.xml | 13 ++
 media-libs/phonon/phonon-.ebuild   | 48 ++
 6 files changed, 148 insertions(+)

diff --git a/media-libs/phonon-gstreamer/metadata.xml 
b/media-libs/phonon-gstreamer/metadata.xml
new file mode 100644
index 00..b1ca978b00
--- /dev/null
+++ b/media-libs/phonon-gstreamer/metadata.xml
@@ -0,0 +1,11 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   k...@gentoo.org
+   Gentoo KDE Project
+   
+   
+   Enable network streaming support via 
libsoup
+   
+

diff --git a/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild 
b/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
new file mode 100644
index 00..777afe2e95
--- /dev/null
+++ b/media-libs/phonon-gstreamer/phonon-gstreamer-.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kde5
+
+DESCRIPTION="GStreamer backend for the Phonon multimedia library"
+HOMEPAGE="https://phonon.kde.org/;
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+   
SRC_URI="mirror://kde/stable/phonon/phonon-backend-gstreamer/${PV}/phonon-backend-gstreamer-${PV}.tar.xz"
+   KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-fbsd"
+fi
+
+LICENSE="LGPL-2.1+ || ( LGPL-2.1 LGPL-3 )"
+SLOT="0"
+IUSE="alsa debug +network"
+
+BDEPEND="
+   dev-qt/linguist-tools:5
+   virtual/pkgconfig
+"
+DEPEND="
+   dev-libs/glib:2
+   dev-libs/libxml2:2
+   dev-qt/qtgui:5
+   dev-qt/qtopengl:5
+   dev-qt/qtwidgets:5
+   dev-qt/qtx11extras:5
+   media-libs/gst-plugins-base:1.0
+   media-libs/gstreamer:1.0
+   >=media-libs/phonon-4.10.60
+   media-plugins/gst-plugins-meta:1.0[alsa?,ogg,vorbis]
+   virtual/opengl
+"
+RDEPEND="${DEPEND}
+   network? ( media-plugins/gst-plugins-soup:1.0 )
+"

diff --git a/media-libs/phonon-vlc/metadata.xml 
b/media-libs/phonon-vlc/metadata.xml
new file mode 100644
index 00..2fdbf33d96
--- /dev/null
+++ b/media-libs/phonon-vlc/metadata.xml
@@ -0,0 +1,8 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   k...@gentoo.org
+   Gentoo KDE Project
+   
+

diff --git a/media-libs/phonon-vlc/phonon-vlc-.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-.ebuild
new file mode 100644
index 00..890afef5f1
--- /dev/null
+++ b/media-libs/phonon-vlc/phonon-vlc-.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kde5
+
+DESCRIPTION="VLC backend for the Phonon multimedia library"
+HOMEPAGE="https://phonon.kde.org/;
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+   
SRC_URI="mirror://kde/stable/phonon/phonon-backend-vlc/${PV}/phonon-backend-vlc-${PV}.tar.xz"
+   KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+fi
+
+LICENSE="LGPL-2.1+ || ( LGPL-2.1 LGPL-3 )"
+SLOT="0"
+IUSE="debug"
+
+BDEPEND="
+   virtual/pkgconfig
+"
+DEPEND="
+   dev-qt/qtgui:5
+   dev-qt/qtwidgets:5
+   >=media-libs/phonon-4.10.60
+   media-video/vlc:=[dbus,ogg,vorbis]
+"
+RDEPEND="${DEPEND}"

diff --git a/media-libs/phonon/metadata.xml b/media-libs/phonon/metadata.xml
new file mode 100644
index 00..e86d58c68e
--- /dev/null
+++ b/media-libs/phonon/metadata.xml
@@ -0,0 +1,13 @@
+
+http://www.gentoo.org/dtd/metadata.dtd;>
+
+   
+   k...@gentoo.org
+   Gentoo KDE Project
+   
+   
+   Install plugin for 
dev-qt/designer
+   Install device preferences and backend 
settings GUI
+   Install VLC Phonon backend
+   
+

diff --git a/media-libs/phonon/phonon-.ebuild 
b/media-libs/phonon/phonon-.ebuild
new file mode 100644
index 00..9c9a4fc940
--- /dev/null
+++ b/media-libs/phonon/phonon-.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kde5
+
+DESCRIPTION="KDE multimedia abstraction library"
+HOMEPAGE="https://phonon.kde.org/;
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+   

[gentoo-commits] proj/kde:master commit in: media-libs/phonon-vlc/, media-libs/phonon/, media-libs/phonon-gstreamer/, ...

2014-09-09 Thread Michael Palimaka
commit: fba7ca19ee390131582b118f37621daa0c8243bb
Author: Michael Palimaka kensington AT gentoo DOT org
AuthorDate: Tue Sep  9 17:20:14 2014 +
Commit: Michael Palimaka kensington AT gentoo DOT org
CommitDate: Tue Sep  9 17:20:14 2014 +
URL:http://sources.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=fba7ca19

[media-libs/phonon*] Moved to portage.

---
 media-libs/phonon-gstreamer/metadata.xml   |   8 --
 .../phonon-gstreamer-4.7.80.ebuild |  92 --
 media-libs/phonon-vlc/metadata.xml |   5 -
 media-libs/phonon-vlc/phonon-vlc-0.7.80.ebuild |  94 --
 .../phonon/files/phonon-4.7.0-plugin-install.patch |  13 ---
 media-libs/phonon/metadata.xml |  10 --
 media-libs/phonon/phonon-4.7.80.ebuild | 105 -
 7 files changed, 327 deletions(-)

diff --git a/media-libs/phonon-gstreamer/metadata.xml 
b/media-libs/phonon-gstreamer/metadata.xml
deleted file mode 100644
index cd1b622..000
--- a/media-libs/phonon-gstreamer/metadata.xml
+++ /dev/null
@@ -1,8 +0,0 @@
-?xml version=1.0 encoding=UTF-8?
-!DOCTYPE pkgmetadata SYSTEM http://www.gentoo.org/dtd/metadata.dtd;
-pkgmetadata
-   herdkde/herd
-   use
-   flag name=networkEnable network streaming support via 
libsoup/flag
-   /use
-/pkgmetadata

diff --git a/media-libs/phonon-gstreamer/phonon-gstreamer-4.7.80.ebuild 
b/media-libs/phonon-gstreamer/phonon-gstreamer-4.7.80.ebuild
deleted file mode 100644
index d3639a7..000
--- a/media-libs/phonon-gstreamer/phonon-gstreamer-4.7.80.ebuild
+++ /dev/null
@@ -1,92 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-
-[[ ${PV} == * ]]  git_eclass=git-r3
-EGIT_REPO_URI=( git://anongit.kde.org/${PN} )
-
-MY_PN=phonon-backend-gstreamer
-MY_P=${MY_PN}-${PV}
-
-inherit cmake-utils multibuild ${git_eclass}
-
-DESCRIPTION=Phonon GStreamer backend
-HOMEPAGE=https://projects.kde.org/projects/kdesupport/phonon/phonon-gstreamer;
-[[ ${PV} == * ]] || 
SRC_URI=mirror://kde/unstable/phonon/${MY_PN}/${PV}/${MY_P}.tar.xz
-
-LICENSE=LGPL-2.1
-if [[ ${PV} == * ]]; then
-   KEYWORDS=
-else
-   KEYWORDS=~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd 
~x64-macos
-fi
-SLOT=0
-IUSE=alsa debug +network +qt4 qt5
-REQUIRED_USE=|| ( qt4 qt5 )
-
-RDEPEND=
-   dev-libs/glib:2
-   dev-libs/libxml2:2
-   media-libs/gstreamer:1.0
-   media-libs/gst-plugins-base:1.0
-   media-plugins/gst-plugins-meta:1.0[alsa?,ogg,vorbis]
-   =media-libs/phonon-4.7.80[qt4?,qt5?]
-   qt4? (
-   dev-qt/qtcore:4[glib]
-   dev-qt/qtgui:4[glib]
-   dev-qt/qtopengl:4
-   )
-   qt5? (
-   dev-qt/qtcore:5
-   dev-qt/qtgui:5
-   dev-qt/qtopengl:5
-   dev-qt/qtwidgets:5
-   )
-   virtual/opengl
-   network? ( media-plugins/gst-plugins-soup:1.0 )
-
-DEPEND=${RDEPEND}
-   qt4? ( =dev-util/automoc-0.9.87 )
-   virtual/pkgconfig
-
-
-[[ ${PV} ==  ]] || S=${WORKDIR}/${MY_P}
-
-pkg_setup() {
-   MULTIBUILD_VARIANTS=()
-   if use qt4; then
-   MULTIBUILD_VARIANTS+=(qt4)
-   fi
-   if use qt5; then
-   MULTIBUILD_VARIANTS+=(qt5)
-   fi
-}
-
-src_configure() {
-   myconfigure() {
-   local mycmakeargs=()
-   if [[ ${MULTIBUILD_VARIANT} = qt4 ]]; then
-   mycmakeargs+=(-DPHONON_BUILD_PHONON4QT5=OFF)
-   fi
-   if [[ ${MULTIBUILD_VARIANT} = qt5 ]]; then
-   mycmakeargs+=(-DPHONON_BUILD_PHONON4QT5=ON)
-   fi
-   cmake-utils_src_configure
-   }
-
-   multibuild_foreach_variant myconfigure
-}
-
-src_compile() {
-   multibuild_foreach_variant cmake-utils_src_compile
-}
-
-src_install() {
-   multibuild_foreach_variant cmake-utils_src_install
-}
-
-src_test() {
-   multibuild_foreach_variant cmake-utils_src_test
-}

diff --git a/media-libs/phonon-vlc/metadata.xml 
b/media-libs/phonon-vlc/metadata.xml
deleted file mode 100644
index a23f444..000
--- a/media-libs/phonon-vlc/metadata.xml
+++ /dev/null
@@ -1,5 +0,0 @@
-?xml version=1.0 encoding=UTF-8?
-!DOCTYPE pkgmetadata SYSTEM http://www.gentoo.org/dtd/metadata.dtd;
-pkgmetadata
-   herdkde/herd
-/pkgmetadata

diff --git a/media-libs/phonon-vlc/phonon-vlc-0.7.80.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-0.7.80.ebuild
deleted file mode 100644
index 90d0241..000
--- a/media-libs/phonon-vlc/phonon-vlc-0.7.80.ebuild
+++ /dev/null
@@ -1,94 +0,0 @@
-# Copyright 1999-2014 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-EAPI=5
-
-MY_PN=phonon-backend-vlc
-MY_P=${MY_PN}-${PV}
-EGIT_REPO_URI=( git://anongit.kde.org/${PN} )
-[[ ${PV} ==  ]]  git_eclass=git-r3
-inherit cmake-utils 

[gentoo-commits] proj/kde:master commit in: media-libs/phonon-gstreamer/

2014-08-14 Thread Johannes Huber
commit: 00a06c99e179b11774b7c54f5991dbcac904ffba
Author: Franz Fellner alpine.art.de AT gmail DOT com
AuthorDate: Thu Aug 14 08:42:01 2014 +
Commit: Johannes Huber johu AT gentoo DOT org
CommitDate: Thu Aug 14 15:00:09 2014 +
URL:
http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=00a06c99

[media-libs/phonon-gstreamer] Fix slot on media-plugins/gst-plugins-meta

---
 media-libs/phonon-gstreamer/phonon-gstreamer-4.7.80.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-libs/phonon-gstreamer/phonon-gstreamer-4.7.80.ebuild 
b/media-libs/phonon-gstreamer/phonon-gstreamer-4.7.80.ebuild
index ff03916..d3639a7 100644
--- a/media-libs/phonon-gstreamer/phonon-gstreamer-4.7.80.ebuild
+++ b/media-libs/phonon-gstreamer/phonon-gstreamer-4.7.80.ebuild
@@ -31,7 +31,7 @@ RDEPEND=
dev-libs/libxml2:2
media-libs/gstreamer:1.0
media-libs/gst-plugins-base:1.0
-   media-plugins/gst-plugins-meta:0.10[alsa?,ogg,vorbis]
+   media-plugins/gst-plugins-meta:1.0[alsa?,ogg,vorbis]
=media-libs/phonon-4.7.80[qt4?,qt5?]
qt4? (
dev-qt/qtcore:4[glib]



[gentoo-commits] proj/kde:master commit in: media-libs/phonon/, media-libs/phonon/files/

2014-08-13 Thread Johannes Huber
commit: 81b700a9a519dc82942405ce4fb7d26669353253
Author: Johannes Huber johu AT gentoo DOT org
AuthorDate: Wed Aug 13 19:40:41 2014 +
Commit: Johannes Huber johu AT gentoo DOT org
CommitDate: Wed Aug 13 19:40:41 2014 +
URL:
http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=81b700a9

[media-libs/phonon] Version bump

Package-Manager: portage-2.2.12

---
 .../phonon/files/phonon-4.7.0-plugin-install.patch |  13 +++
 media-libs/phonon/metadata.xml |  10 ++
 media-libs/phonon/phonon-4.7.80.ebuild | 105 +
 3 files changed, 128 insertions(+)

diff --git a/media-libs/phonon/files/phonon-4.7.0-plugin-install.patch 
b/media-libs/phonon/files/phonon-4.7.0-plugin-install.patch
new file mode 100644
index 000..5f478ca
--- /dev/null
+++ b/media-libs/phonon/files/phonon-4.7.0-plugin-install.patch
@@ -0,0 +1,13 @@
+diff --git a/cmake/FindPhononInternal.cmake b/cmake/FindPhononInternal.cmake
+index 3245e9b..3427c62 100644
+--- a/cmake/FindPhononInternal.cmake
 b/cmake/FindPhononInternal.cmake
+@@ -178,7 +178,7 @@ if (PHONON_BUILD_PHONON4QT5)
+ endif (PHONON_BUILD_PHONON4QT5)
+ set(BIN_INSTALL_DIR bin ) # CACHE PATH The install 
dir for executables (default ${EXEC_INSTALL_PREFIX}/bin))
+ set(LIB_INSTALL_DIR ${CMAKE_INSTALL_LIBDIR} ) #  CACHE PATH 
The subdirectory relative to the install prefix where libraries will be 
installed
+-set(PLUGIN_INSTALL_DIR  ${LIB_INSTALL_DIR}/kde4   
CACHE PATH The subdirectory relative to the install prefix where plugins will 
be installed (default is ${LIB_INSTALL_DIR}/kde4))
++set(PLUGIN_INSTALL_DIR  ${LIB_INSTALL_DIR}/qt4   
CACHE PATH The subdirectory relative to the install prefix where plugins will 
be installed (default is ${LIB_INSTALL_DIR}/qt4))
+ if (PHONON_BUILD_PHONON4QT5)
+ set(PLUGIN_INSTALL_DIR  ${LIB_INSTALL_DIR}/qt5  
 CACHE PATH The subdirectory relative to the install prefix where plugins will 
be installed (default is ${LIB_INSTALL_DIR}/qt5) FORCE)
+ endif(PHONON_BUILD_PHONON4QT5)

diff --git a/media-libs/phonon/metadata.xml b/media-libs/phonon/metadata.xml
new file mode 100644
index 000..d261a0e
--- /dev/null
+++ b/media-libs/phonon/metadata.xml
@@ -0,0 +1,10 @@
+?xml version=1.0 encoding=UTF-8?
+!DOCTYPE pkgmetadata SYSTEM http://www.gentoo.org/dtd/metadata.dtd;
+pkgmetadata
+   herdkde/herd
+   use
+   flag name=designerInstall plugin for 
pkgdev-qt/designer/pkg/flag
+   flag name=vlcInstall VLC Phonon backend/flag
+   flag name=zeitgeistAdd support for Zeitgeist event tracking 
system/flag
+   /use
+/pkgmetadata

diff --git a/media-libs/phonon/phonon-4.7.80.ebuild 
b/media-libs/phonon/phonon-4.7.80.ebuild
new file mode 100644
index 000..7417eb1
--- /dev/null
+++ b/media-libs/phonon/phonon-4.7.80.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+if [[ ${PV} != ** ]]; then
+   SRC_URI=mirror://kde/unstable/phonon/${P}.tar.xz
+   KEYWORDS=~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 
~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos
+else
+   SCM_ECLASS=git-r3
+   EGIT_REPO_URI=( git://anongit.kde.org/${PN} )
+   KEYWORDS=
+fi
+
+inherit cmake-utils multibuild ${SCM_ECLASS}
+
+DESCRIPTION=KDE multimedia API
+HOMEPAGE=https://projects.kde.org/projects/kdesupport/phonon;
+
+LICENSE=LGPL-2.1
+SLOT=0
+IUSE=aqua debug designer gstreamer pulseaudio +qt4 qt5 +vlc zeitgeist
+
+REQUIRED_USE=
+   || ( aqua gstreamer vlc )
+   || ( qt4 qt5 )
+   zeitgeist? ( qt4 )
+
+
+RDEPEND=
+   !!dev-qt/qtphonon:4
+   qt4? (
+   dev-qt/qtcore:4
+   dev-qt/qtdbus:4
+   dev-qt/qtgui:4
+   designer? ( dev-qt/designer:4 )
+   )
+   qt5? (
+   dev-qt/qtcore:5
+   dev-qt/qtdbus:5
+   dev-qt/qtgui:5
+   dev-qt/qtwidgets:5
+   designer? ( dev-qt/designer:5 )
+   )
+   pulseaudio? (
+   dev-libs/glib:2
+   =media-sound/pulseaudio-0.9.21[glib]
+   )
+   zeitgeist? ( dev-libs/libqzeitgeist )
+
+DEPEND=${RDEPEND}
+   qt4? ( =dev-util/automoc-0.9.87 )
+   virtual/pkgconfig
+
+PDEPEND=
+   aqua? ( media-libs/phonon-qt7 )
+   gstreamer? ( =media-libs/phonon-gstreamer-4.7.80[qt4?,qt5?] )
+   vlc? ( =media-libs/phonon-vlc-0.7.80[qt4?,qt5?] )
+
+
+PATCHES=( ${FILESDIR}/${PN}-4.7.0-plugin-install.patch )
+
+pkg_setup() {
+   MULTIBUILD_VARIANTS=()
+   if use qt4; then
+   MULTIBUILD_VARIANTS+=(qt4)
+   fi
+   if use qt5; then
+   MULTIBUILD_VARIANTS+=(qt5)
+   fi
+}
+
+src_configure() {
+   myconfigure() {
+   local 

[gentoo-commits] proj/kde:master commit in: media-libs/phonon-vlc/

2014-08-13 Thread Johannes Huber
commit: c0a3fe2ad207572a78234915d423ebe11564bf19
Author: Johannes Huber johu AT gentoo DOT org
AuthorDate: Wed Aug 13 19:42:42 2014 +
Commit: Johannes Huber johu AT gentoo DOT org
CommitDate: Wed Aug 13 19:42:42 2014 +
URL:
http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=c0a3fe2a

[media-libs/phonon-vlc] Version bump

Package-Manager: portage-2.2.12

---
 media-libs/phonon-vlc/metadata.xml |  5 ++
 media-libs/phonon-vlc/phonon-vlc-0.7.80.ebuild | 94 ++
 2 files changed, 99 insertions(+)

diff --git a/media-libs/phonon-vlc/metadata.xml 
b/media-libs/phonon-vlc/metadata.xml
new file mode 100644
index 000..a23f444
--- /dev/null
+++ b/media-libs/phonon-vlc/metadata.xml
@@ -0,0 +1,5 @@
+?xml version=1.0 encoding=UTF-8?
+!DOCTYPE pkgmetadata SYSTEM http://www.gentoo.org/dtd/metadata.dtd;
+pkgmetadata
+   herdkde/herd
+/pkgmetadata

diff --git a/media-libs/phonon-vlc/phonon-vlc-0.7.80.ebuild 
b/media-libs/phonon-vlc/phonon-vlc-0.7.80.ebuild
new file mode 100644
index 000..90d0241
--- /dev/null
+++ b/media-libs/phonon-vlc/phonon-vlc-0.7.80.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+MY_PN=phonon-backend-vlc
+MY_P=${MY_PN}-${PV}
+EGIT_REPO_URI=( git://anongit.kde.org/${PN} )
+[[ ${PV} ==  ]]  git_eclass=git-r3
+inherit cmake-utils multibuild ${git_eclass}
+unset git_eclass
+
+DESCRIPTION=Phonon VLC backend
+HOMEPAGE=https://projects.kde.org/projects/kdesupport/phonon/phonon-vlc;
+[[ ${PV} ==  ]] || 
SRC_URI=mirror://kde/unstable/phonon/${MY_PN}/${PV}/${MY_P}.tar.xz
+
+LICENSE=LGPL-2.1
+
+# Don't move KEYWORDS on the previous line or ekeyword won't work # 399061
+[[ ${PV} ==  ]] || \
+KEYWORDS=~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-fbsd
+
+SLOT=0
+IUSE=debug +qt4 qt5
+REQUIRED_USE=|| ( qt4 qt5 )
+
+RDEPEND=
+   =media-libs/phonon-4.7.80[qt4=,qt5=]
+   =media-video/vlc-2.0.1:=[dbus,ogg,vorbis]
+   qt4? (
+   dev-qt/qtcore:4
+   dev-qt/qtgui:4
+   )
+   qt5? (
+   dev-qt/qtcore:5
+   dev-qt/qtgui:5
+   dev-qt/qtwidgets:5
+   )
+
+DEPEND=${RDEPEND}
+   app-arch/xz-utils
+   virtual/pkgconfig
+   qt4? ( =dev-util/automoc-0.9.87 )
+
+
+[[ ${PV} ==  ]] || S=${WORKDIR}/${MY_P}
+
+DOCS=( AUTHORS )
+
+pkg_setup() {
+   MULTIBUILD_VARIANTS=()
+   if use qt4; then
+   MULTIBUILD_VARIANTS+=(qt4)
+   fi
+   if use qt5; then
+   MULTIBUILD_VARIANTS+=(qt5)
+   fi
+}
+
+src_configure() {
+   myconfigure() {
+   local mycmakeargs=()
+   if [[ ${MULTIBUILD_VARIANT} = qt4 ]]; then
+   mycmakeargs+=(-DPHONON_BUILD_PHONON4QT5=OFF)
+   fi
+   if [[ ${MULTIBUILD_VARIANT} = qt5 ]]; then
+   mycmakeargs+=(-DPHONON_BUILD_PHONON4QT5=ON)
+   fi
+   cmake-utils_src_configure
+   }
+
+   multibuild_foreach_variant myconfigure
+}
+
+src_compile() {
+   multibuild_foreach_variant cmake-utils_src_compile
+}
+
+src_install() {
+   multibuild_foreach_variant cmake-utils_src_install
+}
+
+src_test() {
+   multibuild_foreach_variant cmake-utils_src_test
+}
+
+pkg_postinst() {
+   elog For more verbose debug information, export the following 
variables:
+   elog PHONON_DEBUG=1
+   elog 
+   elog To make KDE detect the new backend without reboot, run:
+   elog kbuildsycoca4 --noincremental
+}



[gentoo-commits] proj/kde:master commit in: media-libs/phonon-gstreamer/

2014-08-13 Thread Johannes Huber
commit: e5f1f104e8f08f03a6001593b043df259c994d2e
Author: Johannes Huber johu AT gentoo DOT org
AuthorDate: Wed Aug 13 19:43:32 2014 +
Commit: Johannes Huber johu AT gentoo DOT org
CommitDate: Wed Aug 13 19:43:32 2014 +
URL:
http://git.overlays.gentoo.org/gitweb/?p=proj/kde.git;a=commit;h=e5f1f104

[media-libs/phonon-gstreamer] Version bump

Package-Manager: portage-2.2.12

---
 media-libs/phonon-gstreamer/metadata.xml   |  8 ++
 .../phonon-gstreamer-4.7.80.ebuild | 92 ++
 2 files changed, 100 insertions(+)

diff --git a/media-libs/phonon-gstreamer/metadata.xml 
b/media-libs/phonon-gstreamer/metadata.xml
new file mode 100644
index 000..cd1b622
--- /dev/null
+++ b/media-libs/phonon-gstreamer/metadata.xml
@@ -0,0 +1,8 @@
+?xml version=1.0 encoding=UTF-8?
+!DOCTYPE pkgmetadata SYSTEM http://www.gentoo.org/dtd/metadata.dtd;
+pkgmetadata
+   herdkde/herd
+   use
+   flag name=networkEnable network streaming support via 
libsoup/flag
+   /use
+/pkgmetadata

diff --git a/media-libs/phonon-gstreamer/phonon-gstreamer-4.7.80.ebuild 
b/media-libs/phonon-gstreamer/phonon-gstreamer-4.7.80.ebuild
new file mode 100644
index 000..ff03916
--- /dev/null
+++ b/media-libs/phonon-gstreamer/phonon-gstreamer-4.7.80.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+[[ ${PV} == * ]]  git_eclass=git-r3
+EGIT_REPO_URI=( git://anongit.kde.org/${PN} )
+
+MY_PN=phonon-backend-gstreamer
+MY_P=${MY_PN}-${PV}
+
+inherit cmake-utils multibuild ${git_eclass}
+
+DESCRIPTION=Phonon GStreamer backend
+HOMEPAGE=https://projects.kde.org/projects/kdesupport/phonon/phonon-gstreamer;
+[[ ${PV} == * ]] || 
SRC_URI=mirror://kde/unstable/phonon/${MY_PN}/${PV}/${MY_P}.tar.xz
+
+LICENSE=LGPL-2.1
+if [[ ${PV} == * ]]; then
+   KEYWORDS=
+else
+   KEYWORDS=~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86 ~amd64-fbsd ~x86-fbsd 
~x64-macos
+fi
+SLOT=0
+IUSE=alsa debug +network +qt4 qt5
+REQUIRED_USE=|| ( qt4 qt5 )
+
+RDEPEND=
+   dev-libs/glib:2
+   dev-libs/libxml2:2
+   media-libs/gstreamer:1.0
+   media-libs/gst-plugins-base:1.0
+   media-plugins/gst-plugins-meta:0.10[alsa?,ogg,vorbis]
+   =media-libs/phonon-4.7.80[qt4?,qt5?]
+   qt4? (
+   dev-qt/qtcore:4[glib]
+   dev-qt/qtgui:4[glib]
+   dev-qt/qtopengl:4
+   )
+   qt5? (
+   dev-qt/qtcore:5
+   dev-qt/qtgui:5
+   dev-qt/qtopengl:5
+   dev-qt/qtwidgets:5
+   )
+   virtual/opengl
+   network? ( media-plugins/gst-plugins-soup:1.0 )
+
+DEPEND=${RDEPEND}
+   qt4? ( =dev-util/automoc-0.9.87 )
+   virtual/pkgconfig
+
+
+[[ ${PV} ==  ]] || S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+   MULTIBUILD_VARIANTS=()
+   if use qt4; then
+   MULTIBUILD_VARIANTS+=(qt4)
+   fi
+   if use qt5; then
+   MULTIBUILD_VARIANTS+=(qt5)
+   fi
+}
+
+src_configure() {
+   myconfigure() {
+   local mycmakeargs=()
+   if [[ ${MULTIBUILD_VARIANT} = qt4 ]]; then
+   mycmakeargs+=(-DPHONON_BUILD_PHONON4QT5=OFF)
+   fi
+   if [[ ${MULTIBUILD_VARIANT} = qt5 ]]; then
+   mycmakeargs+=(-DPHONON_BUILD_PHONON4QT5=ON)
+   fi
+   cmake-utils_src_configure
+   }
+
+   multibuild_foreach_variant myconfigure
+}
+
+src_compile() {
+   multibuild_foreach_variant cmake-utils_src_compile
+}
+
+src_install() {
+   multibuild_foreach_variant cmake-utils_src_install
+}
+
+src_test() {
+   multibuild_foreach_variant cmake-utils_src_test
+}